escript::Taipan::Taipan_MemTable Struct Reference

## Public Attributes

double * | array
size_type | dim
size_type | N
int | numThreads
bool | free
struct Taipan_MemTable * | next

## Member Data Documentation

## array

double* escript::Taipan::Taipan_MemTable::array

Referenced by escript::Taipan::delete_array(), escript::Taipan::new_array(), escript::Taipan::release_unused_arrays(), and escript::Taipan::~Taipan().

## dim

size_type escript::Taipan::Taipan_MemTable::dim

Referenced by escript::Taipan::delete_array(), escript::Taipan::new_array(), escript::Taipan::release_unused_arrays(), and escript::Taipan::~Taipan().

## free

bool escript::Taipan::Taipan_MemTable::free

Referenced by escript::Taipan::delete_array(), escript::Taipan::new_array(), escript::Taipan::num_free(), and escript::Taipan::release_unused_arrays().

## N

size_type escript::Taipan::Taipan_MemTable::N

Referenced by escript::Taipan::delete_array(), escript::Taipan::new_array(), escript::Taipan::num_arrays(), escript::Taipan::num_free(), escript::Taipan::release_unused_arrays(), and escript::Taipan::~Taipan().

## next

struct Taipan_MemTable* escript::Taipan::Taipan_MemTable::next

Referenced by escript::Taipan::delete_array(), escript::Taipan::new_array(), escript::Taipan::num_arrays(), escript::Taipan::num_free(), escript::Taipan::release_unused_arrays(), and escript::Taipan::~Taipan().

## numThreads

int escript::Taipan::Taipan_MemTable::numThreads

Referenced by escript::Taipan::new_array().

The documentation for this struct was generated from the following file:

- Taipan.h